schedule_delayed_work
Prev | Workqueues and Kevents | Next

## Name

schedule_delayed_work — put work task in global workqueue after delay

## Synopsis

`int schedule_delayed_work (` | struct delayed_work * | dwork,
| unsigned long | delay`)`;

## Arguments

`dwork`

  job to be done

`delay`

  number of jiffies to wait or 0 for immediate execution

## Description

After waiting for a given time this puts a job in the kernel-global workqueue.

Prev | Up | Next
schedule_work | Home | schedule_delayed_work_on